<?php
 // -- Espace de noms EPerso --
 namespace EPerso
 {
  class Personnel
  { // -- Les propriétés --
    private $_nom   ;
    // -- Constructeur --
    function __construct($n) {
      try {
        if (empty($n)) throw new \Exception('Pas de création:Nom vide');
        $this->_nom=$n;
        echo "Création de ".$this->_nom.PHP_EOL;
      }
      catch (\Exception $e) {
        echo $e->getMessage().PHP_EOL;
      }
    }
  }
  $UnePers1 = new Personnel("dupont");
  $UnePers1 = new Personnel("");
 }
?>